> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1audiencecompanies balance checker test



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/audience/companies/{company}/balance-checker-test
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/audience/companies/{company}/balance-checker-test:
    post:
      tags:
        - Companies
      operationId: companies.balanceCheckerTest
      parameters:
        - name: company
          in: path
          required: true
          description: The company ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`BalanceCheckerDataRequest`'
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BalanceCheckerDataRequest'
      responses:
        '200':
          description: '`BalanceCheckerResponseData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/BalanceCheckerResponseData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BalanceCheckerDataRequest:
      type: object
      properties:
        balance_checker:
          $ref: '#/components/schemas/BalanceCheckerTypeEnum'
        balance_regex:
          type:
            - string
            - 'null'
        api_auth_type:
          anyOf:
            - $ref: '#/components/schemas/AuthTypeEnum'
            - type: 'null'
        api_auth_data:
          type:
            - array
            - 'null'
          items:
            type: string
        balance_endpoint_url:
          type:
            - string
            - 'null'
          format: uri
        balance_endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
        balance_json_path:
          type:
            - string
            - 'null'
        notification_if_no_data_x_days:
          type:
            - integer
            - 'null'
          minimum: 1
      title: BalanceCheckerDataRequest
    BalanceCheckerResponseData:
      type: object
      properties:
        status_code:
          type:
            - string
            - 'null'
        balance:
          type:
            - string
            - 'null'
        raw_response:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
      required:
        - status_code
        - balance
        - raw_response
        - error
      title: BalanceCheckerResponseData
    BalanceCheckerTypeEnum:
      type: string
      enum:
        - api
        - email
        - none
      title: BalanceCheckerTypeEnum
    AuthTypeEnum:
      type: string
      enum:
        - none
        - basic
        - bearer
        - custom
      title: AuthTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````